<?php

namespace App\Http\Controllers\tatausaha;

use Illuminate\Support\Facades\Response;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Tahunajaran;
use Validator;
use Session;
use Input as Input;

class T_ajarController extends Controller
{
    public function index()
    {
        $tahunajaran = Tahunajaran::all();

        return view('tatausaha.tahunajaran.index',['tahunajaran'=>$tahunajaran]);
    }

    public function store(Request $request)
    {
        $this->validate($request,['kode'=> 'required','keterangan'=>'required']);

        $tahunajaran = new Tahunajaran();
        $tahunajaran->kode = $request->kode;
        $tahunajaran->keterangan = $request->keterangan;
        $tahunajaran->save();

        return response()->json( $tahunajaran );
    }

    public function update(Request $request)
    {
        $this->validate($request,[
            'kode'=>'required',
            'keterangan' => 'required'
        ]);

        $tahunajaran = Tahunajaran::findOrFail($request->id);
        $tahunajaran-> kode = $request->kode;
        $tahunajaran-> keterangan = $request->keterangan;
        $tahunajaran->save();
        return response()->json($tahunajaran);
    }

    public function show($id)
    {
        $this->data['Daftar'] = Pendaftar::findOrFail($id);
        $this->data['periodik'] = Periodik::where('',$id)->first();
        $this->data['prestasi'] = Prestasi::where('id_pendaftar',$id)->first();
        $this->data['asal_sekolah'] = AsalSekolah::where('id_pendaftar',$id)->first();
        return view('tatausaha.Daftar.detail',$this->data);      
    }

    public function destroy(Request $request)
    {
        $tahunajaran = Tahunajaran::find($request->id);
        $tahunajaran->delete();
        return response()->json($tahunajaran);
    }

}
